<?php
/*
Plugin Name: QuickShop
Plugin URI: http://zackdesign.biz/
Description: Quick and easy shopping cart with widget!
Author: Isaac Rowntree
Version: 1.0
Author URI: http://zackdesign.biz

	Copyright (c) 2005, 2006 Isaac Rowntree (http://zackdesign.biz)
	QuickShop is released under the GNU General Public
	License (GPL) http://www.gnu.org/licenses/gpl.txt

	This is a WordPress plugin (http://wordpress.org).

*/


session_start();

if ($_POST['addcart'])
{
    if (!isset($_SESSION['cart']))
    {
        $_SESSION['cart'] = array();
     }
    array_push($_SESSION['cart'], $_POST['product']);
}
else if ($_POST['delcart'])
{
    $count = 0;
    foreach ($_SESSION['cart'] as $item)
    {
        if ($item == $_POST['product'])
            unset($_SESSION['cart'][$count]);
        $count++;
    }
}


function widget_quickshop($args)
{

    extract($args);
    
    echo $before_widget;
    echo $before_title . 'Your Shopping Cart' . $after_title;
    
    echo '<div id="quickshopcart"><form method="post">';
    
    $count = 0;
    if ($_SESSION['cart'] && is_array($_SESSION['cart']))
    {
    foreach ($_SESSION['cart'] as $item)
    {
        echo "<div id='quickshopitem'>$item</div><div id='quickshopremove'>
        <input type='hidden' name='product' value='$item'>
        <input type='hidden' name='delcart' value='1'>
        <input type='submit' value='Remove'></div>
        <div id='next'</div>
        ";
        $count++;
    }
    }
    
    echo "<p><br />You have chosen $count item(s) in total.</p>";
    if ($count)
        echo "<p><a href='/contact'>Proceed to Checkout</a></p>";
    
    echo '</form></div>';
    
    echo $after_widget;

}

function quickshop_widget()
{

    register_sidebar_widget('QuickShop', 'widget_quickshop');

}

function quickshop_button($content)
{
    $step1 = str_replace('[cart:', 
    '<form method="post">
    <input type="submit" value="Add to Cart">
    <input type="hidden" name="product" value="', $content);
    return str_replace(':cart]', 
    '">
    <input type="hidden" name="addcart" value="1">
    </form>', $step1);

}

add_action('plugins_loaded', 'quickshop_widget');

add_filter('the_content', 'quickshop_button');

?>